# Class CIM_AuthenticationTarget
extends CIM_Dependency

CIM_AuthenticationTarget is an association used to apply authentication requirements for access to specific resources. For example, a shared secret may be sufficient for access to unclassified resources, but for confidential resources, a stronger authentication may be required. Since the AuthenticationRequirement class is deprecated in lieu of explicit policy rules, this association is similarly deprecated to its 'policy' equivalent.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AuthenticationTarget

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PolicySetAppliesToElement

Description

string

CIM_AuthenticationTarget is an association used to apply authentication requirements for access to specific resources. For example, a shared secret may be sufficient for access to unclassified resources, but for confidential resources, a stronger authentication may be required. Since the AuthenticationRequirement class is deprecated in lieu of explicit policy rules, this association is similarly deprecated to its 'policy' equivalent.

UMLPackagePath | string | CIM::User::AuthenticationReqmt
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AuthenticationTarget | CIM_AuthenticationRequirement
Dependent | CIM_AuthenticationTarget | CIM_ManagedElement

## Class Methods